"use strict";
this.name        = "cargoSpotter_glow.js";
this.author      = "Thargoid";
this.copyright   = "CC BY-NC-SA 3.0";
this.description = "Glow script.";
this.version     = "1.1";

//------------------------------------------------------------------------------------//
this.effectSpawned = function _cspotter_effectSpawned() { 
    if (!this.visualEffect) return;
    this.callbackID = addFrameCallback(this.$positionGlow.bind(this)); 
}

//------------------------------------------------------------------------------------//
this.effectRemoved = function _cspotter_effectRemoved() {
    if(this.callbackID)  removeFrameCallback(this.callbackID); 
    delete this.callbackID;
}   

//------------------------------------------------------------------------------------//
this.$positionGlow = function _cspotter_positionGlow() {
    if (missionVariables.cargoSpotter !== "ACTIVE" || !this.visualEffect || !this.visualEffect.isValid
        || !this.visualEffect.hasOwnProperty("$cargoSpotter_cargoEntity") || !this.visualEffect.$cargoSpotter_cargoEntity.isInSpace
        || !player.ship || !player.ship.isValid || this.visualEffect.position.distanceTo(player.ship.position) > 25600) { 

            delete this.visualEffect.$cargoSpotter_cargoEntity.$cargoSpotter_tagged;
            this.visualEffect.remove();
            return;
    }
    this.visualEffect.position = this.visualEffect.$cargoSpotter_cargoEntity.position;
}
